Skip to content

Get a list of department members

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get a list of department members by organization code, department ID, and sorting. It supports paging and can choose to obtain custom data, identities, etc.

Method name

ManagementClient.list_department_members

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
organizationCodestringyes-Organization codesteamory
departmentIdstringyes-Department ID, root department is rootroot
sortBystringnoJoinDepartmentAtSort byJoinDepartmentAt
orderBystringnoDescIn ascending or descending orderDesc
departmentIdTypestringnodepartment_idThe type of department ID used in this calldepartment_id
includeChildrenDepartmentsbooleanno-Whether to include members of child departments
pagenumberno1Current page number, starting from 11
limitnumberno10Number per page, maximum cannot exceed 50, default is 1010
withCustomDatabooleanno-Whether to get custom datatrue
withIdentitiesbooleanno-Whether to get identitiestrue
withDepartmentIdsbooleanno-Whether to get a list of department IDstrue
tenantIdstringno-Tenant ID623c20b2a062aaaaf41b17da

Request Response

Type: UserPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a UserPagingDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "userId": "6229ffaxxxxxxxxcade3e3d9",
      "createdAt": "2022-07-03T03:20:30.000Z",
      "updatedAt": "2022-07-03T03:20:30.000Z",
      "status": "Activated",
      "workStatus": "Active",
      "externalId": "10010",
      "email": "test@example.com",
      "phone": "188xxxx8888",
      "phoneCountryCode": "+86",
      "username": "bob",
      "name": "xxx",
      "nickname": "xxx",
      "photo": "https://files.authing.co/authing-console/default-user-avatar.png",
      "loginsCount": 3,
      "lastLogin": "2022-07-03T03:20:30.000Z",
      "lastIp": "127.0.0.1",
      "gender": "M",
      "emailVerified": true,
      "phoneVerified": true,
      "passwordLastSetAt": "2022-07-03T03:20:30.000Z",
      "birthdate": "2022-06-03",
      "country": "CN",
      "province": "BJ",
      "city": "BJ",
      "address": "xxxxx",
      "streetAddress": "xxxxx",
      "postalCode": "438100",
      "company": "steamory",
      "browser": "Mozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0",
      "device": "iOS",
      "givenName": "xx",
      "familyName": "xxx",
      "middleName": "James",
      "profile": "alice",
      "preferredUsername": "alice",
      "website": "https://my-website.com",
      "zoneinfo": "GMT-08:00",
      "locale": "af",
      "formatted": "132, My Street, Kingston, New York 12401.",
      "region": "Xinjiang Uyghur Autonomous Region",
      "userSourceType": "register",
      "passwordSecurityLevel": 1,
      "departmentIds": "[\"624d930c3xxxx5c08dd4986e\",\"624d93102xxxx012f33cd2fe\"]",
      "identities": {
        "identityId": "62299d8b866d2dab79a89dc4",
        "extIdpId": "6076bacxxxxxxxxd80d993b5",
        "provider": "wechat",
        "type": "openid",
        "userIdInIdp": "oj7Nq05R-RRaqak0_YlMLnnIwsvg",
        "accessToken": "57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx",
        "refreshToken": "57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx",
        "originConnIds": "[\"605492ac41xxxxe0362f0707\"]"
      },
      "identityNumber": "420421xxxxxxxx1234",
      "customData": {
        "school": "xxxxx",
        "age": 22
      },
      "statusChangedAt": "2022-07-03T03:20:30.000Z"
    }
  }
}

Data Structure

UserPagingDto

NameTypeIs it required?DescriptionSample value
totalCountnumberYesTotal number of records
listarrayYesData list Nested type: <a UserDto.

UserDto

NameTypeIs this field required?DescriptionSample value
userIdstringYesThe unique identifier of the user, which can be user ID, user name, email, phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9
createdAtstringyescreation time2022-07-03T03:20:30.000Z
updatedAtstringyesupdate time2022-07-03T03:20:30.000Z
statusstringyescurrent status of the account:
- Activated: normal status
- Suspended: deactivated
- Deactivated: disabled
- Resigned: resigned
- Archived: archived
Suspended
workStatusstringyescurrent work status of the accountClosed
externalIdstringnothird-party external ID10010
emailstringnoemail address, case insensitivetest@example.com
phonestringNoPhone number without area code. If it is an international phone number, please specify the area code in the phoneCountryCode parameter.188xxxx8888
phoneCountryCodestringNoPhone area code. This parameter is optional for phone numbers in mainland China. The GenAuth SMS service does not yet support international phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes.+86
usernamestringNoUser name, unique in the user poolbob
namestringNoUser's real name, not uniquexxx
nicknamestringnonicknamexxx
photostringnoavatar linkhttps://files.authing.co/authing-console/default-user-avatar.png
loginsCountnumbernototal number of historical logins3
lastLoginstringnolast login time2022-07-03T03:20:30.000Z
lastIpstringnolast login IP127.0.0.1
genderstringyesgender:
- M: male, male
- F: female, female
- U: unknown, unknown
M
emailVerifiedbooleanyesemail verifiedtrue
phoneVerifiedbooleanYesIs the phone number verified?true
passwordLastSetAtstringNoThe time when the user last changed his password2022-07-03T03:20:30.000Z
birthdatestringNoDate of birth2022-06-03
countrystringNoCountryCN
provincestringNoProvinceBJ
citystringNoCityBJ
addressstringNoAddressxxxxx
streetAddressstringNoStreet Addressxxxxx
postalCodestringNoPostal Code438100
companystringNoCompanysteamory
browserstringNoLast browser used UAMozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0
devicestringnoThe device used to log in lastiOS
givenNamestringnogivenNamexx
familyNamestringnoLast namexxx
middleNamestringnoMiddle nameJames
profilestringnoPreferred Usernamealice
preferredUsernamestringnoPreferred Usernamealice
websitestringnoUser personal websitehttps://my-website.com
zoneinfostringnoUser time zone informationGMT-08:00
localestringnoLocaleaf
formattedstringnoFull standard address132, My Street, Kingston, New York 12401.
regionstringnoUser regionXinjiang Uyghur Autonomous Region
userSourceTypestringyesSource type:
- excel: Import via excel
- register: User self-registration
- adminCreated: Manual creation by the administrator (including creating users using the management API)
- syncTask: Synchronization task of the sync center
excel
userSourceIdstringNoApplication ID or synchronization task ID
lastLoginAppstringnoID of the application where the user last logged in
mainDepartmentIdstringnoID of the user's main department
lastMfaTimestringnoTime when the user last performed MFA authentication
passwordSecurityLevelnumbernoUser password security strength level1
resetPasswordOnNextLoginbooleannoRequire password reset on next login
registerSourcearraynoRegistration method
departmentIdsarraynoList of department IDs to which the user belongs["624d930c3xxxx5c08dd4986e","624d93102xxxx012f33cd2fe"]
identitiesarraynoExternal identity source Nested type: <a IdentityDto.
identityNumberstringNoUser ID number420421xxxxxxxx1234
customDataobjectNoUser's extended field data{"school":"xxxxx","age":22}
postIdListarrayNoUser-associated department ID
statusChangedAtstringNoUser status last modified time2022-07-03T03:20:30.000Z
tenantIdstringNoUser tenant ID

IdentityDto

NameTypeIs it requiredDescriptionSample value
identityIdstringyesIdentity source ID62299d8b866d2dab79a89dc4
extIdpIdstringyesIdentity source connection ID6076bacxxxxxxxxd80d993b5
providerstringyesExternal identity source type:
- wechat: WeChat
- qq: QQ
- wechatwork: WeChat for Business
- dingtalk: DingTalk
- weibo: Weibo
- github: GitHub
- alipay: Alipay
- baidu: Baidu
- lark: Feishu
- welink: Welink
- yidun: NetEase Yidun
- qingcloud: Qingyun
- google: Google
- gitlab: GitLab
- gitee: Gitee
- twitter: Twitter
- facebook: Facebook
- slack: Slack
- linkedin: Linkedin
- instagram: Instagram
- oidc: OIDC-type enterprise identity source
- oauth2: OAuth2-type enterprise identity source
- saml: SAML-type enterprise identity source
- ldap: LDAP-type enterprise identity source
- ad: AD-type enterprise identity source
- cas: CAS-type enterprise identity source
- azure-ad: Azure AD-type enterprise identity source
oidc
typestringyesIdentity type, such as unionid, openid, primaryopenid
userIdInIdpstringyesID in the external identity sourceoj7Nq05R-RRaqak0_YlMLnnIwsvg
userInfoInIdpobjectyesUser's identity information in idp
accessTokenstringnoAccess Token in the external identity source (this parameter is only returned when the user actively obtains it, and the management side interface will not return it).57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx
refreshTokenstringnoRefresh Token in the external identity source (this parameter is only returned when the user actively obtains it, and the management side interface will not return it).57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx
originConnIdsarrayyesList of identity origin connection IDs that the identity came from["605492ac41xxxxe0362f0707"]

Agent infrastructure for identity, memory, and web action.